題 如何在Linux中獲得Google Chrome上的Java支持?


有沒有辦法在Java支持下運行Linux Google Chrome?


85


起源


主持人說明: 我已經刪除了現在已經過時的答案,因為Chrome 35 已經放棄了NPAPI的支持 以及這裡發布的方法 一切都行不通。我們通常不會刪除舊的答案,以防人們仍然想要運行舊的穩定版本的軟件,但對於Chrome,這不是真的可行也不實用。期待考慮最新版本的答案,從而使這個社區維基鼓勵共同努力。 - slhck
關於Ask Ubuntu的相關問題: askubuntu.com/questions/470594/... - slhck
Afaik也根據 productforums.google.com/forum/#!topic/chrome/qPiZkcLwFFk 在最新的Google Chrome for Linux版本中無法支持Java。所以切換到Firefox或使用 - carefuly - 舊版Chrome。 - lmedinas
有關的信息 java.com/en/download/faq/chrome.xml 有點令人困惑,但它似乎暗示您需要64位Chrome和64位Java 7才能在Linux中運行Java。 (它聲稱Chrome沒有64位Linux版本,但是 這是假的)。 - trlkly
我沒有測試過的另一件事,所以我不會用作答案:如果你在Wine中運行Chrome會怎麼樣? Windows Java 7插件是否可以在那裡運行?如果是這樣,有些項目可以在Windows中運行可在Linux瀏覽器中運行的插件。例如,一個用於使Netflix工作。 (這主要是幫助人們找到答案的建議。) - trlkly


答案:


有一個人(邁克爾穆勒)已經寫了一些補丁來重新啟用對NPAPI的支持(所以icedtea會起作用)。

這有點是一種解決方法。但預計會奏效。 (其實我沒有測試過)

目前構建版本是36。

如果您使用ArchLinux,您可以從AUR構建和安裝它。 鉻NPAPI

如果沒有,你可以看到 PKGBUILD 構建過程。


1





嘗試在linux中安裝icedtea。 它就像一個魅力。

對於Ubuntu

apt-get install icedtea


-3



這實際上適用於Chrome 35或更新版本嗎? - Journeyman Geek♦
這不起作用。參考: superuser.com/questions/44827/... - Sathya♦